## keximdb-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( keximdb )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
keximdb-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:18:41 +0200

keximdb-trinity (1.1.0-1ubuntu1) jaunty; urgency=low

  * Initial import to TDE

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 16 Feb 2015 18:36:35 -0600

keximdb (1.1.0-1ubuntu1) jaunty; urgency=low

  * debian/rules: added --without-arts parameter to configure script call to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 17 Apr 2009 18:15:55 +0000

keximdb (1.1.0-1) unstable; urgency=low

  * Update for KOffice 1.6 packages.

 -- Martin Ellis <martin.ellis@kdemail.net>  Wed, 18 Oct 2006 21:22:27 +0100

keximdb (1.0.2-1) unstable; urgency=low

  * Update for KOffice 1.5 packages
  * libkexi-dev is gone, using koffice-dev
  * Update standards version to 3.7.2
  * Update copyright: new description, and update FSF address

 -- Martin Ellis <martin.ellis@kdemail.net>  Fri, 14 Jul 2006 17:08:59 +0100

keximdb (0.9-1) UNRELEASED; urgency=low

  * Initial Release.

 -- Martin Ellis <martin.ellis@kdemail.net>  Mon, 30 May 2005 16:29:07 +0000

## keximdb-trinity 14.0.10

=== debian/changelog ===
keximdb-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Apr 2021 03:23:44 +0200

=== debian/control ===
Source: keximdb-trinity
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Martin Ellis <martin.ellis@kdemail.net>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, koffice-trinity-dev, libglib2.0-dev
Standards-Version: 3.7.2
Section: tde

Package: kexi-mdb-plugin-trinity
Section: tde
Architecture: any
Depends: ${shlibs:Depends}
Description: MS Access (MDB) driver for Kexi [Trinity]
 MDB migration driver for converting MS Access databases in MDB files
 into KexiDB databases.
 .
 This driver allows Kexi, the KOffice database program, to convert MDB
 database files to Kexi databases via the Tools->Migration->Import Database
 menu option.  Note that this package does not allow MDB files to be opened
 directly - they must be converted to a Kexi database first.

## keximdb-trinity 14.0.11

=== debian/changelog ===
keximdb-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Jul 2021 17:28:13 +0200

## keximdb-trinity 14.0.12

=== debian/changelog ===
keximdb-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:27:12 +0100

## keximdb-trinity 14.0.13

=== debian/changelog ===
keximdb-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 16:28:51 +0200

## keximdb-trinity 14.1.0

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Martin Ellis <martin.ellis@kdemail.net>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, koffice-trinity-dev, libglib2.0-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, koffice-trinity-dev, libglib2.0-dev
 Standards-Version: 3.7.2
 Section: tde

## keximdb-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( keximdb )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
keximdb-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 13:33:23 +0200

## keximdb-trinity 14.1.2

=== debian/changelog ===
keximdb-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:14:14 +0100

## keximdb-trinity 14.1.3

=== debian/changelog ===
keximdb-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:21:41 +0200

## keximdb-trinity 14.1.4

=== debian/changelog ===
keximdb-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## keximdb-trinity 14.1.5~pre0

=== debian/changelog ===
keximdb-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for fcb0c1ca1d42878a4f95653fbebf4738a645ca9c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## keximdb-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== keximdb/src/CMakeLists.txt ===
add_subdirectory( mdbtools )
add_subdirectory( keximdb )

=== keximdb/src/mdbtools/libmdb/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/keximdb/src/mdbtools/include
  ${GLIB2_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_definitions( -DMDB_NO_BACKENDS=1 -DMDB_NO_STATS=1 )


##### mdb (static)

tde_add_library( mdb STATIC_PIC AUTOMOC

  SOURCES
        catalog.c
        mem.c
        file.c
        table.c
        data.c
        dump.c
        money.c
        index.c
        write.c
        map.c
        options.c
        iconv.c
        sargs.c
        like.c
)

=== debian/changelog ===
keximdb-trinity (4:14.1.5-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Martin Ellis <martin.ellis@kdemail.net>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, koffice-trinity-dev, libglib2.0-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, koffice-trinity-dev, libglib2.0-dev
 Standards-Version: 3.7.2
 Section: tde

## keximdb-trinity 14.1.6~pre0

=== debian/changelog ===
keximdb-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fcb0c1ca1d42878a4f95653fbebf4738a645ca9c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## keximdb-trinity 14.1.6~pre1

=== debian/changelog ===
keximdb-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9dae86c990a58dc8fdd14a897efc161a23f3464c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:53:53 +0100

## keximdb-trinity 14.2.0~pre6

=== debian/changelog ===
keximdb-trinity (4:14.2.0~pre6-0ubuntu24.04.1+2) noble; urgency=low

  * Automated git build for 7dc1ceb24d8f03d8f342ae75ea08704f8c1318de
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 15:11:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"

## keximdb-trinity 14.2.0~pre7

=== debian/changelog ===
keximdb-trinity (4:14.2.0~pre7-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a8a181f43ce8b1c8b68aaa9fe87f2b098a29d27e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#keximdb

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:01:43 +0100
